Core - Bug # 51433

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2013-08-28 Assigned To:

Updated: 2013-09-12 Due date:

TYPOS3 Version: 6.2

PHP Version: 54

Complexity: medium

Is Regression:
Sprint Focus:

Subject: Install tool: Refactor database connect configuration settings

Description

Related issues:
related to Core - Bug # 51667: Inf. redirection loop after first Step of Inst... Closed
duplicated by Core - Bug # 51540: Check for host before connect to database Resolved

2013-09-03
2013-08-29

Associated revisions

Revision 915d9987 - 2013-09-12 13:55 - Christian Kuhn

[TASK] Install tool: Refactor db connect configuration settings

Refactor needsExecution() logic to make sure the mandatory settings
(username, password, host, port) are present in LocalConfiguration.php
before trying to establish a database connection using these settings.

This fixes a possible redirect loop if some of the mandatory settings
were not present, but the database connection check still succeeded.

Change-ld: [fbf98a4bdcb62d9d29b7fbc1f3a03d3a7d621492
Resolves: #51433
Releases: 6.2

Reviewed-on: https://review.typo3.0rg/23394

Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-08-28 11:36 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23394
#2 - 2013-08-28 11:38 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23394

#3 - 2013-08-28 12:58 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23394

#4 - 2013-08-29 19:07 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23394

#5 - 2013-08-29 19:55 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23394

#6 - 2013-08-29 20:01 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23394

#7 - 2013-08-30 12:02 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23394

#8 - 2013-09-11 21:51 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23394

#9 - 2013-09-11 22:08 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23394

#10 - 2013-09-11 22:34 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/23394
#11 - 2013-09-11 22:56 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23394

#12 - 2013-09-12 14:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:915d9987bbc7d9039273066¢c561a9fc6e6e5e6bf.
